W(1)

NAZWA
w - pokazuje kto jest zalogowany i co robi

SKŁADNIA
w [opcje] użytkownik [...]

OPIS
w wyświetla informacje o użytkownikach, zajmujących obecnie komputer, oraz o ich procesach. Nagłówek pokazuje odpowiednio, czas bieżący, czas pracy systemu, liczbę zalogowanych użytkowników i obciążenie systemu w poprzedniej minucie, 5 i 15 minutach.

Dla każdego użytkownika wyświetlane są następujące wpisy: nazwa zgłoszeniowa, nazwa tty, zdalny host, czas zgłoszenia, czas bezczynności, JCPU, PCPU i wiersz poleceń ich obecnego procesu.

Czas JPU jest czasem użytym przez wszystkie procesy podwieszone do tty. Nie uwzględnia poprzednich zadań z tła, lecz uwzględnia obecnie działające zadania tła.

Czas PCPU jest czasem używanym przez proces bieżący, nazwany w polu "what".

OPCJE WIERSZA POLECEŃ

-h, --no-header
    Nie wypisuje nagłówka.

-u, --no-current
    Ignoruje nazwę użytkownika podczas wyszukiwania obecnych czasów procesu i procesora. Aby to zademonstrować, proszę wykonać "su", a następnie "w" i "w -u".

-s, --short
    Używa krótkiego formatu. Nie wypisuje czasu zgłoszenia, JCPU i PCPU.

-f, --from
    Przełącza wyświetlanie pola from (nazwa zdalnego komputera). Domyślnie wydawana wersja nie wypisuje pola from, lecz administrator systemu lub autor pakietu mógł skompilować wersję, w której pole to jest domyślnie aktywne.

--help
    Wyświetla tekst pomocy i kończy pracę.

-i, --ip-addr
    Wyświetla adres IP zamiast nazwy komputera z pola from.

-V, --version
    Wypisuje informację o wersji programu.

-o, --old-style
    Stary styl wyniku. Wypisuje spacje przy czasie bezczynności mniejszym niż minuta.

user
    Pokazuje informację jedynie o podanym użytkowniku.

ŚRODOWISKO

PROCPS_USERLEN
    Przesłania domyślną szerokość kolumny z nazwą użytkownika. Domyślnie: 8.

PROCPS_FROMLEN
    Przesłania domyślną szerokość kolumny "from". Domyślnie: 16.

PLIKI

/var/run/utmp
    informacje o tym, kto jest obecnie zalogowany

/proc
    informacje o procesach

ZOBACZ TAKŻE
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTORZY
w został przepisany prawie całkowicie przez Charlesa Blake'a, w oparciu o wersję Larry'ego Greenfielda (greenfie@gauss.rutgers.edu) i Michaela K. Johnsona (johnsonm@redhat.com)

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać na adres procps@freelists.org

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 3.3.10 oryginału.